/* Auteur script : Mr Xhark, blogmotion@gmail.com
   URL : http://blogmotion.fr/
   Contributeur : Michael Hurni (michael.hurni@gmail.com)
   Version 1.2
   Ce script nécessite le framework jQuery http://jquery.com

   Sous Licence Creative Commons http://creativecommons.org/licenses/by-nc-sa/2.0/fr/
   
   */
$(function(){ 
		   
	$("#nom,#prenom").keyup( function() {
		// Nom de domaine de votre entreprise (suffixe @email)
		var domain = 'blogmotion.fr';
		
		var prenom = removeAccent($("#prenom").attr('value'));
		var nom = removeAccent($("#nom").attr('value'));
		var nom_joined = nom.replace(/[^a-z]/gi,'');
		var prenoms = trim(prenom.replace(/[^a-z -]/gi,""));
		var prenoms = prenoms.replace(/[^a-z]/gi," ").split(/ /);
		var login = '';
		var email = '';
		
		for(i in prenoms)
			{
				if(prenoms[i])
					login += prenoms[i].charAt(0);
			}
			
		login += trim(nom_joined);
		$('#username').attr("value", login);
		$('#email').attr("value", trim(prenoms.join("-") + "." + nom_joined + "@" + domain));
		
		// vidage des champs username et email si aucun nom/prenom (cause : touche del)
		if ( ! prenom.length || ! nom.length)  {
			$('#username').attr("value", '');
			$('#email').attr("value", '');
			}
	 });  
	
	$("h3").fadeOut("slow",function(){ 
		$(this).fadeIn("slow"); 
	}); 

	trim = function(str)
	{ 	return str
		.replace(/^\s+/g,'')
		.replace(/\s+$/g,'');
	} 
	
	removeAccent = function(str)
	{
		return str
		.replace(/[ÀÃÁÂÄ]/g,"A")
		.replace(/[àãáâä]/g,"a")
		.replace(/[ÈÉÊË]/g,"E")
		.replace(/[èéêë]/g,"e")
		.replace(/[ÌÍÎÏ]/g,"I")
		.replace(/[ìíîï]/g,"i")
		.replace(/[ÓÒÔÖÕ]/g,"O")
		.replace(/[óòôöõ]/g,"o")
		.replace(/[ÚÙÛÜ]/g,"U")
		.replace(/[úùûü]/g,"u")
		.replace(/[Ý]/g,"Y")
		.replace(/[ýÿ]/g,"y")
		.replace(/[Ç]/g,"C")
		.replace(/[ç]/g,"c");
	}

	$('input.lowercase').keyup( function() {
		this.value = this.value.toLowerCase();
	});

	});